import http from '@/http/http.js'

/**
 * 登录
 */
export const login = (data) => {
	return http.request({
		url: '/Login',
		method: 'POST',
		data: data
	})
}

/**
 * 发送验证码
 */
export const setSendMsg = (mobile,type) => {
	return http.request({
		url: '/Login/sendMsg/' + mobile + '/'+type
	})
}

/**
 * 注册
 */
export const register = (data) => {
	return http.request({
		url: '/Login/register',
		method: 'POST',
		data: data
	})
}

/**
 * 修改密码
 */
export const forgetPwd = (data) => {
	return http.request({
		url: '/Login/forgetPwd',
		method: 'POST',
		params: data
	})
}

/**
 * 绑定
 */
export const bind = (data) => {
	return http.request({
		url: '/Login/registerCode',
		method: 'POST',
		data: data
	})
}


/**
 * 绑定微信
 */
export const $bindWx = (data) => {
	return http.request({
		url: 'Login/bindWx',
		method: 'POST',
		data: data
	})
}

// 绑定微信状态
export const $bindStatus = (data) => {
	return http.request({
		url: 'Login/bindStatus',
		method: 'GET',
		data: data
	})
}
